Build:
  extends: .werf-init
  stage: Build
  variables:
    DOCKER_TLS_CERTDIR: ""
  rules:
    - if: '$CI_COMMIT_BRANCH =~ /^test-.*/ || $CI_COMMIT_BRANCH =~ /^nocicd-.*/'
      when: never
    - if: '$CI_PIPELINE_SOURCE == "push" || $CI_PIPELINE_SOURCE == "web" || $CI_PIPELINE_SOURCE == "merge_request_event"'
  script:
    - |
      werf build \
           --repo=$CI_APPLICATION_REPOSITORY \
           --report-format='json' \
           --report-path='images.json'
    - echo "BUILD_IMAGE=$(cat images.json | jq -r .Images.app.DockerRepo):$(cat images.json | jq -r .Images.app.DockerTag)" >> build.env
  artifacts:
    reports:
      dotenv: build.env
